Please select Into the mobile phone version | Continue to access the computer ver.
DJI GO 4.1.10 on Android is completely broken
2482 28 2017-10-11
Uploading and Loding Picture ...(0/1)
o(^-^)o
_pk
Second Officer
Flight distance : 696 ft
Poland
Offline

Hi all,

my phone updated DJI GO 4 to version 4.1.10 this morning and I must say that this version is completely broken. So far, I have been using 4.1.9 and it worked flawlessly. I did not understand why people complained about DJI GO 4 on Android. Now I know... Unfortunately. The new version does not even start. After displaying the initial screen it crashes with a system messsage error that the application was closed. I was not able to start it even a single time!

Obvious approaches like rebooting the phone and reinstaling the app did not help.

Thus, I decided to go back to version 4.1.9 which worked. Can anyone point me to the proper APK? Unfortunately on DJI download page they alredy have
DJI-170929-362-26670_official_sec-43d3e55459c52633d341a47e8b0c015a.apk
which is version 4.1.10 (I kown that the web page says 4.1.9, but after installing it turned out to be 4.1.10). I'm looking for 4.1.9.

Anyone who has not yet updated should be warned. This version is broken and it may ground you as it did to me.

2017-10-11
Use props
Sparky David
First Officer
Flight distance : 41161 ft
United Kingdom
Offline

I upgraded to 4.1.10 today and have flown tonight, no problems.  Even tried it without the OTG cable and so far so good.  My phone is a Samsung S7 Edge.
2017-10-11
Use props
Scobo
lvl.2
Flight distance : 152795 ft
United Kingdom
Offline

4.1.10 here too with no issues.
Huawei p8 phone.
2017-10-11
Use props
Wachtberger
Captain
Flight distance : 261509 ft
Germany
Offline

I didn't have the opportunity to fly with it yet, but it starts normally on my devices. Quite a number of other reports here equally suggest that it works well. No idea what went wrong for you, but sorry to hear. If you prefer to reinstall the previous version you will certainly find it on APK Mirror. Simple Google search.
2017-10-11
Use props
_pk
Second Officer
Flight distance : 696 ft
Poland
Offline

Lucky for you guys that it works on your phones. But not everyone has so much luck. It does not work for me AT ALL.

Anyway, I found 4.1.9 on apkmirror.com and just downgraded.
2017-10-11
Use props
jyc
Captain
Flight distance : 2114475 ft
Canada
Offline

Unfortunately it's touch and go with DJI Go 4 Android. I was using a phone that worked fine until version 4.1.8, I now use a tablet that runs 4.1.10 pretty good, but I've had to buy a Mavmount.
2017-10-11
Use props
Bright Spark
First Officer
Flight distance : 22129 ft
United Kingdom
Offline

Even worse scrambled video on tablet, and on phone app crashes every 20 sec or so. And I hoped for an improvement lol.
2017-10-11
Use props
DJI Elektra
Administrator
Hong Kong
Offline

Pk, please tell me the model of your device and did you have the crash log?
2017-10-11
Use props
DJI Elektra
Administrator
Hong Kong
Offline

Bright Spark Posted at 2017-10-11 13:50
Even worse scrambled video on tablet, and on phone app crashes every 20 sec or so. And I hoped for an improvement lol.

What is the model of your device?  Any error message from your app when it crashed?  
2017-10-11
Use props
Rafi_m
lvl.4
Flight distance : 328957 ft
United States
Offline

I'm still in 4.1.5 as video transmission is very poor in 4.1.9. haven't got 4.1.10 yet. I use Lenovo Vike K5.
2017-10-11
Use props
MickD
lvl.4
Flight distance : 2566 ft
United Kingdom
Offline

Tablet Lenovo 8 sim free updated to 4.1.10 now I only have 2.4 its says that 5gh is not available on this phone it was fine on 4.1.9
Why have I lost 5gh???
2017-10-12
Use props
DJI Elektra
Administrator
Hong Kong
Offline

MickD Posted at 2017-10-12 00:16
Tablet Lenovo 8 sim free updated to 4.1.10 now I only have 2.4 its says that 5gh is not available on this phone it was fine on 4.1.9
Why have I lost 5gh???

Mick, can you provide a screenshot about this situation? I would forward it to our engineers for check. Thanks for your patience.
2017-10-12
Use props
STech - Hathder
Second Officer
Flight distance : 459094 ft
Brazil
Offline

My 4.1.10 is totaly broken too, not even usable, i am using a galaxy S7 edge.  i've downgraded app to 4.1.9 to have it working again.

On 4.1.10 the signal are stuck on 2.4ghz (5.8ghz its not a option) and the spark loses sinal evey  10 seconds.

On 4.1.9 everything is fine.


I will keep 4.1.9 and nevermore upgrade app or spark firmware, as whe dont know what to expect every update.
2017-10-12
Use props
_pk
Second Officer
Flight distance : 696 ft
Poland
Offline

DJI Elektra Posted at 2017-10-11 19:33
Pk, please tell me the model of your device and did you have the crash log?

The phone is HomTom HT20.

I put the crash-logs here: http://z2.math.us.edu.pl/perry/dji_logs.zip

One example crash-log (they all look similar):


=====    Device Info    =====
manufacture:HOMTOM
product:HT20
model:HT20
version:HOMTOM-HT20-Android_6.0-R09-20170119
android version:6.0
sdk version:23
=====    App Info    =====
versionCode:3026670
versionName:4.1.10
=====    Crash    =====
java.lang.RuntimeException: Unable to create application com.secneo.apkwrapper.ApplicationWrapper: java.lang.ArrayIndexOutOfBoundsException: length=1024; index=-2
    at android.app.ActivityThread.handleBindApplication(ActivityThread.java:4966)
    at android.app.ActivityThread.-wrap1(ActivityThread.java)
    at android.app.ActivityThread$H.handleMessage(ActivityThread.java:1553)
    at android.os.Handler.dispatchMessage(Handler.java:111)
    at android.os.Looper.loop(Looper.java:207)
    at android.app.ActivityThread.main(ActivityThread.java:5737)
    at java.lang.reflect.Method.invoke(Native Method)
    at com.android.internal.os.ZygoteInit$MethodAndArgsCaller.run(ZygoteInit.java:789)
    at com.android.internal.os.ZygoteInit.main(ZygoteInit.java:679)
Caused by: java.lang.ArrayIndexOutOfBoundsException: length=1024; index=-2
    at dji.thirdparty.gson.stream.JsonReader.nextLiteral(SourceFile:1059)
    at dji.thirdparty.gson.stream.JsonReader.readLiteral(SourceFile:1194)
    at dji.thirdparty.gson.stream.JsonReader.nextValue(SourceFile:790)
    at dji.thirdparty.gson.stream.JsonReader.peek(SourceFile:368)
    at dji.thirdparty.gson.Gson.fromJson(SourceFile:753)
    at dji.thirdparty.gson.Gson.fromJson(SourceFile:722)
    at dji.thirdparty.gson.Gson.fromJson(SourceFile:671)
    at com.dji.frame.c.h.a(SourceFile:113)
    at com.dji.mapkit.utils.b.a(SourceFile:278)
    at dji.e.a.a(SourceFile:99)
    at dji.pilot.publics.util.g.c(SourceFile:452)
    at dji.pilot.publics.objects.DJIApplicationLike.onCreate(SourceFile:167)
    at dji.pilot.publics.objects.DJIApplication.onCreate(SourceFile:72)
    at com.secneo.apkwrapper.ApplicationWrapper.onCreate(ApplicationTemplate.java:45)
    at android.app.Instrumentation.callApplicationOnCreate(Instrumentation.java:1018)
    at android.app.ActivityThread.handleBindApplication(ActivityThread.java:4963)
    ... 8 more
java.lang.ArrayIndexOutOfBoundsException: length=1024; index=-2
    at dji.thirdparty.gson.stream.JsonReader.nextLiteral(SourceFile:1059)
    at dji.thirdparty.gson.stream.JsonReader.readLiteral(SourceFile:1194)
    at dji.thirdparty.gson.stream.JsonReader.nextValue(SourceFile:790)
    at dji.thirdparty.gson.stream.JsonReader.peek(SourceFile:368)
    at dji.thirdparty.gson.Gson.fromJson(SourceFile:753)
    at dji.thirdparty.gson.Gson.fromJson(SourceFile:722)
    at dji.thirdparty.gson.Gson.fromJson(SourceFile:671)
    at com.dji.frame.c.h.a(SourceFile:113)
    at com.dji.mapkit.utils.b.a(SourceFile:278)
    at dji.e.a.a(SourceFile:99)
    at dji.pilot.publics.util.g.c(SourceFile:452)
    at dji.pilot.publics.objects.DJIApplicationLike.onCreate(SourceFile:167)
    at dji.pilot.publics.objects.DJIApplication.onCreate(SourceFile:72)
    at com.secneo.apkwrapper.ApplicationWrapper.onCreate(ApplicationTemplate.java:45)
    at android.app.Instrumentation.callApplicationOnCreate(Instrumentation.java:1018)
    at android.app.ActivityThread.handleBindApplication(ActivityThread.java:4963)
    at android.app.ActivityThread.-wrap1(ActivityThread.java)
    at android.app.ActivityThread$H.handleMessage(ActivityThread.java:1553)
    at android.os.Handler.dispatchMessage(Handler.java:111)
    at android.os.Looper.loop(Looper.java:207)
    at android.app.ActivityThread.main(ActivityThread.java:5737)
    at java.lang.reflect.Method.invoke(Native Method)
    at com.android.internal.os.ZygoteInit$MethodAndArgsCaller.run(ZygoteInit.java:789)
    at com.android.internal.os.ZygoteInit.main(ZygoteInit.java:679)

2017-10-12
Use props
ernieken
Second Officer
Flight distance : 547641 ft
  • >>>
Belgium
Offline

Didn't fly with the new version already but starts up well and syncs flights correctly on my Samsung Galaxy S6.
2017-10-12
Use props
DJI Elektra
Administrator
Hong Kong
Offline

MickD Posted at 2017-10-12 00:16
Tablet Lenovo 8 sim free updated to 4.1.10 now I only have 2.4 its says that 5gh is not available on this phone it was fine on 4.1.9
Why have I lost 5gh???

Mick, did you use the otg when you connect your drone? When you connect you AC with RC, did the 5.8G show in the setting?
Please try to connect the local Internet first and then reconnect the AC.
If the problem still here, please export the flight data and the black box data.
2017-10-12
Use props
DJI Elektra
Administrator
Hong Kong
Offline

_pk Posted at 2017-10-12 02:00
The phone is HomTom HT20.

I put the crash-logs here: http://z2.math.us.edu.pl/perry/dji_logs.zip

Pk, I would recommend you change a mobile device and use the devices in the recommended list. What is the version of your app and please tell me the firmware of your spark. Thanks a lot.
2017-10-12
Use props
MickD
lvl.4
Flight distance : 2566 ft
United Kingdom
Offline

DJI Elektra Posted at 2017-10-12 01:16
Mick, can you provide a screenshot about this situation? I would forward it to our engineers for check. Thanks for your patience.

Hello as requested many thanks
It was fine until the update

Regards
MickD

DJI GO 4 4.1.10

DJI GO 4 4.1.10
2017-10-12
Use props
DJI Elektra
Administrator
Hong Kong
Offline

MickD Posted at 2017-10-12 02:46
Hello as requested many thanks
It was fine until the update

Please try the advice in 16# first, if the problem still exists, provide the needed information for us to check. Thanks.
2017-10-12
Use props
MickD
lvl.4
Flight distance : 2566 ft
United Kingdom
Offline

MickD Posted at 2017-10-12 02:46
Hello as requested many thanks
It was fine until the update

No I do not use OTG as its not supported this has been no problem until the update
2017-10-12
Use props
MickD
lvl.4
Flight distance : 2566 ft
United Kingdom
Offline

MickD Posted at 2017-10-12 02:50
No I do not use OTG as its not supported this has been no problem until the update

To make matters worst my galaxy 7 edge phone which I do not use will not even load the new Go 4.1.10
2017-10-12
Use props
MickD
lvl.4
Flight distance : 2566 ft
United Kingdom
Offline

MickD Posted at 2017-10-12 02:46
Hello as requested many thanks
It was fine until the update

This is what I have now its telling that I am on 5gh nothing on the scale as you can see if I try to change it then it says  my phone does not have 5gh
I have just flown it and the video is very poor what have they done to the program as the old one was perfect
Very disappointed surely the new update is at fault even my new Galaxy 7 can`t run it at all
Screenshot_20171012-121712.png
2017-10-12
Use props
_pk
Second Officer
Flight distance : 696 ft
Poland
Offline

DJI Elektra Posted at 2017-10-12 02:43
Pk, I would recommend you change a mobile device and use the devices in the recommended list. What is the version of your app and please tell me the firmware of your spark. Thanks a lot.

Dear DJI Elektra,

thank you for spending your time on answering my question. I can imagine that your job of answering all those questions on the forum is both frustrating and boring, and consists mostly of pasting all over the same common answers. Nevertheless, if you first read the posts to which you reply, prior to posting ready-made answers, I guess you would save some of your time.

1) "What is the version of your app"
Since I created this thread saying "my phone updated DJI GO 4 to version 4.1.10 this morning and I must say  that this version is completely broken. So far, I have been using 4.1.9  and it worked flawlessly. [...] The new version  does not even start." Then guess what? The version of the app that caused trouble is 4.1.10. This can be also read near the top of the crash-log I provided in the section titled "App Info".

2) "please tell me the firmware of your spark"
As I wrote, version 4.1.10 of DJI GO does not even start, while it should start (and provide acces to 'editor' or 'me' sections) without Spark being presented. Thus, the firmware version of the spark is totally irrelevvant to the problem. The firmware version is, by the way, 01.00.0600, since otherwise Spark would not work at all (and as I said it worked perfectly well, before updating DJI go to version 4.1.10).

3) "I would recommend you change a mobile device and use the devices in the recommended list"
Thanks, but no thanks. Reading this forum I see that the recommended (and highly overpriced) mobile devices have problems with DJI GO not less frequently.

P.S.
As said eralier in this thread, I have downgraded DJI GO to version 4.1.9 in the meantime. With this older version everything works correctly. I have just learned an important lesson: not to install the new updates from DJI before testing them on an spare phone first.

2017-10-12
Use props
Bright Spark
First Officer
Flight distance : 22129 ft
United Kingdom
Offline

Dear Elekra, you asked what devices I use. Motorola moto 3G. Samsung tablet tm-80. Both are completely unuseable . 3-10 sec delay on video, and mostly scrambled.
Used to be fine.
Please don't say try other devices. No bluetooth, airplane mode. Clear open field.
Perfect on OTG.
2017-10-12
Use props
MickD
lvl.4
Flight distance : 2566 ft
United Kingdom
Offline

Bright Spark Posted at 2017-10-12 06:10
Dear Elekra, you asked what devices I use. Motorola moto 3G. Samsung tablet tm-80. Both are completely unuseable . 3-10 sec delay on video, and mostly scrambled.
Used to be fine.
Please don't say try other devices. No bluetooth, airplane mode. Clear open field.

Ok so I have upgraded to Go 4.1.9 yes its way better than the new so called update Go 4.1.10
Both my phone and tablet now work as before and my tablet now supports 5gh on 4.1.10 it said the tablet did not find 5gh strange really strange

MickD
2017-10-12
Use props
Bright Spark
First Officer
Flight distance : 22129 ft
United Kingdom
Offline

.........?
2017-10-12
Use props
Sparky David
First Officer
Flight distance : 41161 ft
United Kingdom
Offline

Samsung Galaxy S7 edge working with 4.1.10.  No issues, no video lag and so far no disconnection.  Flew out to 200 metres tonight and I did start to get Video Transmission Weak.  As it was getting dark I brought it back, all of this was on wireless.  I have not had weak Video transmission using an OTG cable.  Looks like it works OK for me up to a limit.
2017-10-12
Use props
Kannon
lvl.1
Hungary
Offline

My big problem, when i try download the offline maps, i always get the "network unavailable message".
2017-10-12
Use props
_pk
Second Officer
Flight distance : 696 ft
Poland
Offline

Just an update:
Version 4.1.15 also does not work on Homtom HT20. This time I was smarter and first tried it on my wife's phone :-) Nevertheless, problem is the same as with version 4.1.10, It seems that programers changed (spoiled) something passing from 4.1.9 to 4.1.10 and this crucial piece of code is not changed since then (i.e. for 4.1.10 -> 4.1.15). For the time being I keep version 4.1.9 which works flawlessly. Only hope that DJI will not force an upgrade grounding drones run by older DJI GO 4...
2017-11-4
Use props
Advanced
You need to log in before you can reply Login | Register now

Credit Rules